'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _resource = require('../resource');

var _resource2 = _interopRequireDefault(_resource);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Payments = function (_Resource) {
    (0, _inherits3.default)(Payments, _Resource);

    function Payments() {
        (0, _classCallCheck3.default)(this, Payments);
        return (0, _possibleConstructorReturn3.default)(this, (Payments.__proto__ || (0, _getPrototypeOf2.default)(Payments)).apply(this, arguments));
    }

    (0, _createClass3.default)(Payments, [{
        key: 'getCurrentBalance',

        /**
         * @api {get} /v1/organizations/:organization_id/payments get
         * @apiGroup Payments
         * @apiName getCurrentBalance
         * @apiDescription Get the organization's current balance
         * @apiParam {Number} organization_id
         * @apiExample {js} Example:
         *             gigwalk.payments.getCurrentBalance({...})
         */
        value: function getCurrentBalance(params) {
            return this.client.get('/v1/organizations/' + params.organization_id + '/payments');
        }

        /**
         * @api {post} /v1/organizations/:organization_id/payments post
         * @apiGroup Payments
         * @apiName addFunds
         * @apiDescription Add funds to an organization's account
         * @apiParam {Number} organization_id
         * @apiParam {String} stripe_token
         * @apiParam {Number} amount
         * @apiExample {js} Example:
         *             gigwalk.payments.addFunds({...})
         */

    }, {
        key: 'addFunds',
        value: function addFunds(params) {
            var organizationId = params.organization_id,
                data = (0, _objectWithoutProperties3.default)(params, ['organization_id']);

            return this.client.post('/v1/organizations/' + organizationId + '/payments', data);
        }
    }]);
    return Payments;
}(_resource2.default);

exports.default = Payments;
//# sourceMappingURL=index.js.map